<!doctype html>
<html lang="en-US">
	<head>
		<meta charset="utf-8">
		<link rel="stylesheet" type="text/css" href="styles.css">
		<script src="bobby.js"></script>

		<script>
			function localMethod(localVariable) {
				console.log('localMethod being called with : ' + localVariable);
				return localVariable + 1;
			}

			function openAlert(message) {
				alert(message);
			}
		</script>
	</head>

<body>
	<form onsubmit="setWeight()">
		Enter Weight: <input type="text" id="weight" name="weight"> <input
			type="submit" value="Submit">
	</form>

	<script>
		let localVariableReturned = localMethod(2);
		console.log('local method returning value: ' + localVariableReturned);
		document.write('<h1>' + localVariableReturned + '</h1>');

		let remoteVariableReturned = remoteMethod(5);
		console.log('remote method returning value: ' + remoteVariableReturned);
		document.write('<h1>' + remoteVariableReturned + '</h1>');
		document.write('<h4>', remoteVariableReturned, '</h4>');
	</script>

	<a href="JavaScript:void(0)" onClick="alert('Hello');">Say Hello</a>
	<br />
	<a href="JavaScript:void(0)" onClick="openAlert('Hi how are you');">Say
		Something</a>
	<br />

	<!-- Change text color on mouse rollover and roll out-->
	<a href="JavaScript:void(0)" onmouseover="this.style.color='red';"
		onmouseout="this.style.color='green';"
		ondblclick="this.text='You Double Clicked Me'"
		onmousedown="this.text='Don\'t Press So hard'"
		onmouseup="this.text='Thank You'">Make me Red</a>
	<br />

	<!-- Get value in an input element and open alert on change -->
	<input type="text" id="randInput"
		onChange="var dataEntered=document.getElementById('randInput').value; alert('User Typed ' + dataEntered);">
	<br />
	<br />

	<script>
		document.write("Current URL : ", window.location.href, "<br />");
		document.write("Current Host : ", window.location.hostname, "<br />");
		document.write("Current Path : ", window.location.pathname, "<br />");
	</script>
</body>
</html>